source: squid-ssl/trunk/fuentes/tools/squidclient/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 22 months ago

Initial release

File size: 48.3 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92TESTS =
93@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
94bin_PROGRAMS = squidclient$(EXEEXT)
95subdir = tools/squidclient
96ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
98        $(top_srcdir)/acinclude/init.m4 \
99        $(top_srcdir)/acinclude/squid-util.m4 \
100        $(top_srcdir)/acinclude/compiler-flags.m4 \
101        $(top_srcdir)/acinclude/os-deps.m4 \
102        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
103        $(top_srcdir)/acinclude/pkg.m4 \
104        $(top_srcdir)/acinclude/lib-checks.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
107        $(top_srcdir)/helpers/basic_auth/modules.m4 \
108        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/modules.m4 \
123        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/modules.m4 \
135        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
136        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
137        $(top_srcdir)/helpers/external_acl/modules.m4 \
138        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
142        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
143        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/session/required.m4 \
147        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
148        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
149        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
150        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
154        $(top_srcdir)/configure.ac
155am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
156        $(ACLOCAL_M4)
157DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
158mkinstalldirs = $(install_sh) -d
159CONFIG_HEADER = $(top_builddir)/include/autoconf.h
160CONFIG_CLEAN_FILES =
161CONFIG_CLEAN_VPATH_FILES =
162am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"
163PROGRAMS = $(bin_PROGRAMS)
164am_squidclient_OBJECTS = gssapi_support.$(OBJEXT) Ping.$(OBJEXT) \
165        squidclient.$(OBJEXT) stub_debug.$(OBJEXT) \
166        test_tools.$(OBJEXT) time.$(OBJEXT) Transport.$(OBJEXT)
167squidclient_OBJECTS = $(am_squidclient_OBJECTS)
168squidclient_LDADD = $(LDADD)
169@ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
170am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
171        $(am__DEPENDENCIES_1)
172am__DEPENDENCIES_3 =
173squidclient_DEPENDENCIES = $(top_builddir)/src/ip/libip.la \
174        $(top_builddir)/lib/libmiscencoding.la \
175        $(top_builddir)/lib/libmiscutil.la $(am__DEPENDENCIES_2) \
176        $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3) \
177        $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3)
178AM_V_lt = $(am__v_lt_@AM_V@)
179am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
180am__v_lt_0 = --silent
181am__v_lt_1 =
182AM_V_P = $(am__v_P_@AM_V@)
183am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
184am__v_P_0 = false
185am__v_P_1 = :
186AM_V_GEN = $(am__v_GEN_@AM_V@)
187am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
188am__v_GEN_0 = @echo "  GEN     " $@;
189am__v_GEN_1 =
190AM_V_at = $(am__v_at_@AM_V@)
191am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
192am__v_at_0 = @
193am__v_at_1 =
194DEFAULT_INCLUDES =
195depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
196am__depfiles_maybe = depfiles
197am__mv = mv -f
198CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
199        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
200LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
201        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
202        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
203        $(AM_CXXFLAGS) $(CXXFLAGS)
204AM_V_CXX = $(am__v_CXX_@AM_V@)
205am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
206am__v_CXX_0 = @echo "  CXX     " $@;
207am__v_CXX_1 =
208CXXLD = $(CXX)
209CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
210        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
211        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
212AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
213am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
214am__v_CXXLD_0 = @echo "  CXXLD   " $@;
215am__v_CXXLD_1 =
216COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
217        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
218LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
219        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
220        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
221        $(AM_CFLAGS) $(CFLAGS)
222AM_V_CC = $(am__v_CC_@AM_V@)
223am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
224am__v_CC_0 = @echo "  CC      " $@;
225am__v_CC_1 =
226CCLD = $(CC)
227LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
228        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
229        $(AM_LDFLAGS) $(LDFLAGS) -o $@
230AM_V_CCLD = $(am__v_CCLD_@AM_V@)
231am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
232am__v_CCLD_0 = @echo "  CCLD    " $@;
233am__v_CCLD_1 =
234SOURCES = $(squidclient_SOURCES)
235DIST_SOURCES = $(squidclient_SOURCES)
236RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
237        ctags-recursive dvi-recursive html-recursive info-recursive \
238        install-data-recursive install-dvi-recursive \
239        install-exec-recursive install-html-recursive \
240        install-info-recursive install-pdf-recursive \
241        install-ps-recursive install-recursive installcheck-recursive \
242        installdirs-recursive pdf-recursive ps-recursive \
243        tags-recursive uninstall-recursive
244am__can_run_installinfo = \
245  case $$AM_UPDATE_INFO_DIR in \
246    n|no|NO) false;; \
247    *) (install-info --version) >/dev/null 2>&1;; \
248  esac
249am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
250am__vpath_adj = case $$p in \
251    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
252    *) f=$$p;; \
253  esac;
254am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
255am__install_max = 40
256am__nobase_strip_setup = \
257  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
258am__nobase_strip = \
259  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
260am__nobase_list = $(am__nobase_strip_setup); \
261  for p in $$list; do echo "$$p $$p"; done | \
262  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
263  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
264    if (++n[$$2] == $(am__install_max)) \
265      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
266    END { for (dir in files) print dir, files[dir] }'
267am__base_list = \
268  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
269  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
270am__uninstall_files_from_dir = { \
271  test -z "$$files" \
272    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
273    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
274         $(am__cd) "$$dir" && rm -f $$files; }; \
275  }
276man1dir = $(mandir)/man1
277NROFF = nroff
278MANS = $(man_MANS)
279RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
280  distclean-recursive maintainer-clean-recursive
281am__recursive_targets = \
282  $(RECURSIVE_TARGETS) \
283  $(RECURSIVE_CLEAN_TARGETS) \
284  $(am__extra_recursive_targets)
285AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
286        check recheck distdir
287am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
288# Read a list of newline-separated strings from the standard input,
289# and print each of them once, without duplicates.  Input order is
290# *not* preserved.
291am__uniquify_input = $(AWK) '\
292  BEGIN { nonempty = 0; } \
293  { items[$$0] = 1; nonempty = 1; } \
294  END { if (nonempty) { for (i in items) print i; }; } \
295'
296# Make sure the list of sources is unique.  This is necessary because,
297# e.g., the same source file might be shared among _SOURCES variables
298# for different programs/libraries.
299am__define_uniq_tagged_files = \
300  list='$(am__tagged_files)'; \
301  unique=`for i in $$list; do \
302    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
303  done | $(am__uniquify_input)`
304ETAGS = etags
305CTAGS = ctags
306am__tty_colors_dummy = \
307  mgn= red= grn= lgn= blu= brg= std=; \
308  am__color_tests=no
309am__tty_colors = { \
310  $(am__tty_colors_dummy); \
311  if test "X$(AM_COLOR_TESTS)" = Xno; then \
312    am__color_tests=no; \
313  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
314    am__color_tests=yes; \
315  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
316    am__color_tests=yes; \
317  fi; \
318  if test $$am__color_tests = yes; then \
319    red='[0;31m'; \
320    grn='[0;32m'; \
321    lgn='[1;32m'; \
322    blu='[1;34m'; \
323    mgn='[0;35m'; \
324    brg='[1m'; \
325    std='[m'; \
326  fi; \
327}
328am__recheck_rx = ^[     ]*:recheck:[    ]*
329am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
330am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
331# A command that, given a newline-separated list of test names on the
332# standard input, print the name of the tests that are to be re-run
333# upon "make recheck".
334am__list_recheck_tests = $(AWK) '{ \
335  recheck = 1; \
336  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
337    { \
338      if (rc < 0) \
339        { \
340          if ((getline line2 < ($$0 ".log")) < 0) \
341            recheck = 0; \
342          break; \
343        } \
344      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
345        { \
346          recheck = 0; \
347          break; \
348        } \
349      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
350        { \
351          break; \
352        } \
353    }; \
354  if (recheck) \
355    print $$0; \
356  close ($$0 ".trs"); \
357  close ($$0 ".log"); \
358}'
359# A command that, given a newline-separated list of test names on the
360# standard input, create the global log from their .trs and .log files.
361am__create_global_log = $(AWK) ' \
362function fatal(msg) \
363{ \
364  print "fatal: making $@: " msg | "cat >&2"; \
365  exit 1; \
366} \
367function rst_section(header) \
368{ \
369  print header; \
370  len = length(header); \
371  for (i = 1; i <= len; i = i + 1) \
372    printf "="; \
373  printf "\n\n"; \
374} \
375{ \
376  copy_in_global_log = 1; \
377  global_test_result = "RUN"; \
378  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
379    { \
380      if (rc < 0) \
381         fatal("failed to read from " $$0 ".trs"); \
382      if (line ~ /$(am__global_test_result_rx)/) \
383        { \
384          sub("$(am__global_test_result_rx)", "", line); \
385          sub("[        ]*$$", "", line); \
386          global_test_result = line; \
387        } \
388      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
389        copy_in_global_log = 0; \
390    }; \
391  if (copy_in_global_log) \
392    { \
393      rst_section(global_test_result ": " $$0); \
394      while ((rc = (getline line < ($$0 ".log"))) != 0) \
395      { \
396        if (rc < 0) \
397          fatal("failed to read from " $$0 ".log"); \
398        print line; \
399      }; \
400      printf "\n"; \
401    }; \
402  close ($$0 ".trs"); \
403  close ($$0 ".log"); \
404}'
405# Restructured Text title.
406am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
407# Solaris 10 'make', and several other traditional 'make' implementations,
408# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
409# by disabling -e (using the XSI extension "set +e") if it's set.
410am__sh_e_setup = case $$- in *e*) set +e;; esac
411# Default flags passed to test drivers.
412am__common_driver_flags = \
413  --color-tests "$$am__color_tests" \
414  --enable-hard-errors "$$am__enable_hard_errors" \
415  --expect-failure "$$am__expect_failure"
416# To be inserted before the command running the test.  Creates the
417# directory for the log if needed.  Stores in $dir the directory
418# containing $f, in $tst the test, in $log the log.  Executes the
419# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
420# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
421# will run the test scripts (or their associated LOG_COMPILER, if
422# thy have one).
423am__check_pre = \
424$(am__sh_e_setup);                                      \
425$(am__vpath_adj_setup) $(am__vpath_adj)                 \
426$(am__tty_colors);                                      \
427srcdir=$(srcdir); export srcdir;                        \
428case "$@" in                                            \
429  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
430    *) am__odir=.;;                                     \
431esac;                                                   \
432test "x$$am__odir" = x"." || test -d "$$am__odir"       \
433  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
434if test -f "./$$f"; then dir=./;                        \
435elif test -f "$$f"; then dir=;                          \
436else dir="$(srcdir)/"; fi;                              \
437tst=$$dir$$f; log='$@';                                 \
438if test -n '$(DISABLE_HARD_ERRORS)'; then               \
439  am__enable_hard_errors=no;                            \
440else                                                    \
441  am__enable_hard_errors=yes;                           \
442fi;                                                     \
443case " $(XFAIL_TESTS) " in                              \
444  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
445    am__expect_failure=yes;;                            \
446  *)                                                    \
447    am__expect_failure=no;;                             \
448esac;                                                   \
449$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
450# A shell command to get the names of the tests scripts with any registered
451# extension removed (i.e., equivalently, the names of the test logs, with
452# the '.log' extension removed).  The result is saved in the shell variable
453# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
454# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
455# since that might cause problem with VPATH rewrites for suffix-less tests.
456# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
457am__set_TESTS_bases = \
458  bases='$(TEST_LOGS)'; \
459  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
460  bases=`echo $$bases`
461RECHECK_LOGS = $(TEST_LOGS)
462TEST_SUITE_LOG = test-suite.log
463TEST_EXTENSIONS = @EXEEXT@ .test
464am__test_logs1 = $(TESTS:=.log)
465am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
466TEST_LOGS = $(am__test_logs2:.test.log=.log)
467TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
468TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
469        $(TEST_LOG_FLAGS)
470am__set_b = \
471  case '$@' in \
472    */*) \
473      case '$*' in \
474        */*) b='$*';; \
475          *) b=`echo '$@' | sed 's/\.log$$//'`; \
476       esac;; \
477    *) \
478      b='$*';; \
479  esac
480DIST_SUBDIRS = $(SUBDIRS)
481am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
482        $(top_srcdir)/cfgaux/test-driver \
483        $(top_srcdir)/doc/manuals/Substitute.am \
484        $(top_srcdir)/src/Common.am
485DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
486am__relativize = \
487  dir0=`pwd`; \
488  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
489  sed_rest='s,^[^/]*/*,,'; \
490  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
491  sed_butlast='s,/*[^/]*$$,,'; \
492  while test -n "$$dir1"; do \
493    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
494    if test "$$first" != "."; then \
495      if test "$$first" = ".."; then \
496        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
497        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
498      else \
499        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
500        if test "$$first2" = "$$first"; then \
501          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
502        else \
503          dir2="../$$dir2"; \
504        fi; \
505        dir0="$$dir0"/"$$first"; \
506      fi; \
507    fi; \
508    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
509  done; \
510  reldir="$$dir2"
511ACLOCAL = @ACLOCAL@
512ADAPTATION_LIBS = @ADAPTATION_LIBS@
513ALLOCA = @ALLOCA@
514AMTAR = @AMTAR@
515AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
516AR = @AR@
517ARGZ_H = @ARGZ_H@
518AR_R = @AR_R@
519AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
520AUTH_MODULES = @AUTH_MODULES@
521AUTOCONF = @AUTOCONF@
522AUTOHEADER = @AUTOHEADER@
523AUTOMAKE = @AUTOMAKE@
524AWK = @AWK@
525BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
526BUILDCXX = @BUILDCXX@
527BUILDCXXFLAGS = @BUILDCXXFLAGS@
528BZR = @BZR@
529CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
530CC = @CC@
531CCDEPMODE = @CCDEPMODE@
532CFLAGS = @CFLAGS@
533CGIEXT = @CGIEXT@
534CHMOD = @CHMOD@
535CPP = @CPP@
536CPPFLAGS = @CPPFLAGS@
537CPPUNITCONFIG = @CPPUNITCONFIG@
538CRYPTLIB = @CRYPTLIB@
539CXX = @CXX@
540CXXCPP = @CXXCPP@
541CXXDEPMODE = @CXXDEPMODE@
542CXXFLAGS = @CXXFLAGS@
543CYGPATH_W = @CYGPATH_W@
544DEFAULT_HOSTS = @DEFAULT_HOSTS@
545DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
546DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
547DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
548DEFS = @DEFS@
549DEPDIR = @DEPDIR@
550DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
551DISK_LIBS = @DISK_LIBS@
552DISK_LINKOBJS = @DISK_LINKOBJS@
553DISK_MODULES = @DISK_MODULES@
554DISK_OS_LIBS = @DISK_OS_LIBS@
555DISK_PROGRAMS = @DISK_PROGRAMS@
556DLLTOOL = @DLLTOOL@
557DSYMUTIL = @DSYMUTIL@
558DUMPBIN = @DUMPBIN@
559ECAP_LIBS = @ECAP_LIBS@
560ECHO_C = @ECHO_C@
561ECHO_N = @ECHO_N@
562ECHO_T = @ECHO_T@
563EGREP = @EGREP@
564EPOLL_LIBS = @EPOLL_LIBS@
565EUILIB = @EUILIB@
566EXEEXT = @EXEEXT@
567EXPATLIB = @EXPATLIB@
568EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
569EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
570EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
571FALSE = @FALSE@
572FGREP = @FGREP@
573GREP = @GREP@
574HAVE_CXX11 = @HAVE_CXX11@
575ICAP_LIBS = @ICAP_LIBS@
576INCLTDL = @INCLTDL@
577INSTALL = @INSTALL@
578INSTALL_DATA = @INSTALL_DATA@
579INSTALL_PROGRAM = @INSTALL_PROGRAM@
580INSTALL_SCRIPT = @INSTALL_SCRIPT@
581INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
582KRB5INCS = @KRB5INCS@
583KRB5LIBS = @KRB5LIBS@
584LBERLIB = @LBERLIB@
585LD = @LD@
586LDAPLIB = @LDAPLIB@
587LDFLAGS = @LDFLAGS@
588LIBADD_DL = @LIBADD_DL@
589LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
590LIBADD_DLOPEN = @LIBADD_DLOPEN@
591LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
592LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
593LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
594LIBLTDL = @LIBLTDL@
595LIBOBJS = @LIBOBJS@
596LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
597LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
598LIBS = @LIBS@
599LIBSASL = @LIBSASL@
600LIBTOOL = @LIBTOOL@
601LIB_DB = @LIB_DB@
602LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
603LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
604LINUXDOC = @LINUXDOC@
605LIPO = @LIPO@
606LN = @LN@
607LN_S = @LN_S@
608LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
609LTDLDEPS = @LTDLDEPS@
610LTDLINCL = @LTDLINCL@
611LTDLOPEN = @LTDLOPEN@
612LTLIBOBJS = @LTLIBOBJS@
613LT_CONFIG_H = @LT_CONFIG_H@
614LT_DLLOADERS = @LT_DLLOADERS@
615LT_DLPREOPEN = @LT_DLPREOPEN@
616MAINT = @MAINT@
617MAKEINFO = @MAKEINFO@
618MANIFEST_TOOL = @MANIFEST_TOOL@
619MINGW_LIBS = @MINGW_LIBS@
620MKDIR = @MKDIR@
621MKDIR_P = @MKDIR_P@
622MV = @MV@
623NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
624NETTLELIB = @NETTLELIB@
625NM = @NM@
626NMEDIT = @NMEDIT@
627NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
628OBJDUMP = @OBJDUMP@
629OBJEXT = @OBJEXT@
630OTOOL = @OTOOL@
631OTOOL64 = @OTOOL64@
632PACKAGE = @PACKAGE@
633PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
634PACKAGE_NAME = @PACKAGE_NAME@
635PACKAGE_STRING = @PACKAGE_STRING@
636PACKAGE_TARNAME = @PACKAGE_TARNAME@
637PACKAGE_URL = @PACKAGE_URL@
638PACKAGE_VERSION = @PACKAGE_VERSION@
639PATH_SEPARATOR = @PATH_SEPARATOR@
640PERL = @PERL@
641PKG_CONFIG = @PKG_CONFIG@
642PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
643PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
644PO2HTML = @PO2HTML@
645PO2TEXT = @PO2TEXT@
646POD2MAN = @POD2MAN@
647RANLIB = @RANLIB@
648REGEXLIB = @REGEXLIB@
649REPL_LIBS = @REPL_LIBS@
650REPL_OBJS = @REPL_OBJS@
651REPL_POLICIES = @REPL_POLICIES@
652RM = @RM@
653SED = @SED@
654SET_MAKE = @SET_MAKE@
655SH = @SH@
656SHELL = @SHELL@
657SMBCLIENT = @SMBCLIENT@
658SNMPLIB = @SNMPLIB@
659SQUID_CFLAGS = @SQUID_CFLAGS@
660SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
661SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
662SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
663SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
664SSLLIB = @SSLLIB@
665STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
666STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
667STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
668STORE_TESTS = @STORE_TESTS@
669STRIP = @STRIP@
670TR = @TR@
671TRUE = @TRUE@
672URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
673VERSION = @VERSION@
674WBINFO = @WBINFO@
675WIN32_PSAPI = @WIN32_PSAPI@
676XMLLIB = @XMLLIB@
677XTRA_LIBS = @XTRA_LIBS@
678XTRA_OBJS = @XTRA_OBJS@
679abs_builddir = @abs_builddir@
680abs_srcdir = @abs_srcdir@
681abs_top_builddir = @abs_top_builddir@
682abs_top_srcdir = @abs_top_srcdir@
683ac_ct_AR = @ac_ct_AR@
684ac_ct_CC = @ac_ct_CC@
685ac_ct_CXX = @ac_ct_CXX@
686ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
687am__include = @am__include@
688am__leading_dot = @am__leading_dot@
689am__quote = @am__quote@
690am__tar = @am__tar@
691am__untar = @am__untar@
692bindir = @bindir@
693build = @build@
694build_alias = @build_alias@
695build_cpu = @build_cpu@
696build_os = @build_os@
697build_vendor = @build_vendor@
698builddir = @builddir@
699datadir = @datadir@
700datarootdir = @datarootdir@
701docdir = @docdir@
702dvidir = @dvidir@
703exec_prefix = @exec_prefix@
704host = @host@
705host_alias = @host_alias@
706host_cpu = @host_cpu@
707host_os = @host_os@
708host_vendor = @host_vendor@
709htmldir = @htmldir@
710includedir = @includedir@
711infodir = @infodir@
712install_sh = @install_sh@
713krb5_config = @krb5_config@
714libdir = @libdir@
715libexecdir = @libexecdir@
716localedir = @localedir@
717localstatedir = @localstatedir@
718ltdl_LIBOBJS = @ltdl_LIBOBJS@
719ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
720mandir = @mandir@
721mkdir_p = @mkdir_p@
722oldincludedir = @oldincludedir@
723pdfdir = @pdfdir@
724prefix = @prefix@
725program_transform_name = @program_transform_name@
726psdir = @psdir@
727runstatedir = @runstatedir@
728sbindir = @sbindir@
729sharedstatedir = @sharedstatedir@
730srcdir = @srcdir@
731subdirs = @subdirs@
732sys_symbol_underscore = @sys_symbol_underscore@
733sysconfdir = @sysconfdir@
734target_alias = @target_alias@
735top_build_prefix = @top_build_prefix@
736top_builddir = @top_builddir@
737top_srcdir = @top_srcdir@
738AM_CFLAGS = $(SQUID_CFLAGS)
739AM_CXXFLAGS = $(SQUID_CXXFLAGS)
740CLEANFILES = test_tools.cc stub_debug.cc time.cc
741AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
742        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
743        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
744        $(am__append_1)
745@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
746@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
747COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
748subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
749SUBDIRS =
750EXTRA_DIST = squidclient.1
751man_MANS = squidclient.1
752DISTCLEANFILES =
753LDADD = \
754        $(top_builddir)/src/ip/libip.la \
755        $(top_builddir)/lib/libmiscencoding.la \
756        $(top_builddir)/lib/libmiscutil.la \
757        $(COMPAT_LIB) \
758        $(LIBGNUTLS_LIBS) \
759        $(NETTLELIB) \
760        $(KRB5LIBS) \
761        $(XTRA_LIBS)
762
763SUBSTITUTE = sed "\
764        s%@DEFAULT_ERROR_DIR@%$(DEFAULT_ERROR_DIR)%g;\
765        s%@DEFAULT_MIME_TABLE@%$(DEFAULT_MIME_TABLE)%g;\
766        s%@""PACKAGE_STRING""@%$(PACKAGE_STRING)%g;\
767        s%@SYSCONFDIR@%$(sysconfdir)%g;\
768        "
769
770
771# stock tools for unit tests - library independent versions of dlink_list
772# etc.
773# globals.cc is needed by test_tools.cc.
774# Neither of these should be disted from here.
775TESTSOURCES = test_tools.cc
776squidclient_SOURCES = \
777        gssapi_support.cc \
778        gssapi_support.h \
779        Parameters.h \
780        Ping.cc \
781        Ping.h \
782        squidclient.cc \
783        stub_debug.cc \
784        test_tools.cc \
785        time.cc \
786        Transport.cc \
787        Transport.h
788
789all: all-recursive
790
791.SUFFIXES:
792.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
793$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(top_srcdir)/doc/manuals/Substitute.am $(am__configure_deps)
794        @for dep in $?; do \
795          case '$(am__configure_deps)' in \
796            *$$dep*) \
797              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
798                && { if test -f $@; then exit 0; else break; fi; }; \
799              exit 1;; \
800          esac; \
801        done; \
802        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tools/squidclient/Makefile'; \
803        $(am__cd) $(top_srcdir) && \
804          $(AUTOMAKE) --foreign tools/squidclient/Makefile
805Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
806        @case '$?' in \
807          *config.status*) \
808            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
809          *) \
810            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
811            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
812        esac;
813$(top_srcdir)/src/Common.am $(top_srcdir)/doc/manuals/Substitute.am $(am__empty):
814
815$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
816        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
817
818$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
819        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
820$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
821        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
822$(am__aclocal_m4_deps):
823install-binPROGRAMS: $(bin_PROGRAMS)
824        @$(NORMAL_INSTALL)
825        @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
826        if test -n "$$list"; then \
827          echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
828          $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
829        fi; \
830        for p in $$list; do echo "$$p $$p"; done | \
831        sed 's/$(EXEEXT)$$//' | \
832        while read p p1; do if test -f $$p \
833         || test -f $$p1 \
834          ; then echo "$$p"; echo "$$p"; else :; fi; \
835        done | \
836        sed -e 'p;s,.*/,,;n;h' \
837            -e 's|.*|.|' \
838            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
839        sed 'N;N;N;s,\n, ,g' | \
840        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
841          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
842            if ($$2 == $$4) files[d] = files[d] " " $$1; \
843            else { print "f", $$3 "/" $$4, $$1; } } \
844          END { for (d in files) print "f", d, files[d] }' | \
845        while read type dir files; do \
846            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
847            test -z "$$files" || { \
848            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
849            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
850            } \
851        ; done
852
853uninstall-binPROGRAMS:
854        @$(NORMAL_UNINSTALL)
855        @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
856        files=`for p in $$list; do echo "$$p"; done | \
857          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
858              -e 's/$$/$(EXEEXT)/' \
859        `; \
860        test -n "$$list" || exit 0; \
861        echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
862        cd "$(DESTDIR)$(bindir)" && rm -f $$files
863
864clean-binPROGRAMS:
865        @list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \
866        echo " rm -f" $$list; \
867        rm -f $$list || exit $$?; \
868        test -n "$(EXEEXT)" || exit 0; \
869        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
870        echo " rm -f" $$list; \
871        rm -f $$list
872
873clean-checkPROGRAMS:
874        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
875        echo " rm -f" $$list; \
876        rm -f $$list || exit $$?; \
877        test -n "$(EXEEXT)" || exit 0; \
878        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
879        echo " rm -f" $$list; \
880        rm -f $$list
881
882squidclient$(EXEEXT): $(squidclient_OBJECTS) $(squidclient_DEPENDENCIES) $(EXTRA_squidclient_DEPENDENCIES)
883        @rm -f squidclient$(EXEEXT)
884        $(AM_V_CXXLD)$(CXXLINK) $(squidclient_OBJECTS) $(squidclient_LDADD) $(LIBS)
885
886mostlyclean-compile:
887        -rm -f *.$(OBJEXT)
888
889distclean-compile:
890        -rm -f *.tab.c
891
892@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Ping.Po@am__quote@
893@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Transport.Po@am__quote@
894@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gssapi_support.Po@am__quote@
895@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/squidclient.Po@am__quote@
896@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stub_debug.Po@am__quote@
897@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_tools.Po@am__quote@
898@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/time.Po@am__quote@
899
900.cc.o:
901@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
902@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
903@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
904@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
905@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
906@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
907
908.cc.obj:
909@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
910@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
911@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
912@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
913@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
914@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
915
916.cc.lo:
917@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
918@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
919@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
920@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
921@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
922@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
923
924mostlyclean-libtool:
925        -rm -f *.lo
926
927clean-libtool:
928        -rm -rf .libs _libs
929install-man1: $(man_MANS)
930        @$(NORMAL_INSTALL)
931        @list1=''; \
932        list2='$(man_MANS)'; \
933        test -n "$(man1dir)" \
934          && test -n "`echo $$list1$$list2`" \
935          || exit 0; \
936        echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
937        $(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
938        { for i in $$list1; do echo "$$i"; done;  \
939        if test -n "$$list2"; then \
940          for i in $$list2; do echo "$$i"; done \
941            | sed -n '/\.1[a-z]*$$/p'; \
942        fi; \
943        } | while read p; do \
944          if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
945          echo "$$d$$p"; echo "$$p"; \
946        done | \
947        sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
948              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
949        sed 'N;N;s,\n, ,g' | { \
950        list=; while read file base inst; do \
951          if test "$$base" = "$$inst"; then list="$$list $$file"; else \
952            echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
953            $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
954          fi; \
955        done; \
956        for i in $$list; do echo "$$i"; done | $(am__base_list) | \
957        while read files; do \
958          test -z "$$files" || { \
959            echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
960            $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
961        done; }
962
963uninstall-man1:
964        @$(NORMAL_UNINSTALL)
965        @list=''; test -n "$(man1dir)" || exit 0; \
966        files=`{ for i in $$list; do echo "$$i"; done; \
967        l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
968          sed -n '/\.1[a-z]*$$/p'; \
969        } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
970              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
971        dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
972
973# This directory's subdirectories are mostly independent; you can cd
974# into them and run 'make' without going through this Makefile.
975# To change the values of 'make' variables: instead of editing Makefiles,
976# (1) if the variable is set in 'config.status', edit 'config.status'
977#     (which will cause the Makefiles to be regenerated when you run 'make');
978# (2) otherwise, pass the desired values on the 'make' command line.
979$(am__recursive_targets):
980        @fail=; \
981        if $(am__make_keepgoing); then \
982          failcom='fail=yes'; \
983        else \
984          failcom='exit 1'; \
985        fi; \
986        dot_seen=no; \
987        target=`echo $@ | sed s/-recursive//`; \
988        case "$@" in \
989          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
990          *) list='$(SUBDIRS)' ;; \
991        esac; \
992        for subdir in $$list; do \
993          echo "Making $$target in $$subdir"; \
994          if test "$$subdir" = "."; then \
995            dot_seen=yes; \
996            local_target="$$target-am"; \
997          else \
998            local_target="$$target"; \
999          fi; \
1000          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
1001          || eval $$failcom; \
1002        done; \
1003        if test "$$dot_seen" = "no"; then \
1004          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
1005        fi; test -z "$$fail"
1006
1007ID: $(am__tagged_files)
1008        $(am__define_uniq_tagged_files); mkid -fID $$unique
1009tags: tags-recursive
1010TAGS: tags
1011
1012tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1013        set x; \
1014        here=`pwd`; \
1015        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
1016          include_option=--etags-include; \
1017          empty_fix=.; \
1018        else \
1019          include_option=--include; \
1020          empty_fix=; \
1021        fi; \
1022        list='$(SUBDIRS)'; for subdir in $$list; do \
1023          if test "$$subdir" = .; then :; else \
1024            test ! -f $$subdir/TAGS || \
1025              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
1026          fi; \
1027        done; \
1028        $(am__define_uniq_tagged_files); \
1029        shift; \
1030        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1031          test -n "$$unique" || unique=$$empty_fix; \
1032          if test $$# -gt 0; then \
1033            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1034              "$$@" $$unique; \
1035          else \
1036            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1037              $$unique; \
1038          fi; \
1039        fi
1040ctags: ctags-recursive
1041
1042CTAGS: ctags
1043ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1044        $(am__define_uniq_tagged_files); \
1045        test -z "$(CTAGS_ARGS)$$unique" \
1046          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1047             $$unique
1048
1049GTAGS:
1050        here=`$(am__cd) $(top_builddir) && pwd` \
1051          && $(am__cd) $(top_srcdir) \
1052          && gtags -i $(GTAGS_ARGS) "$$here"
1053cscopelist: cscopelist-recursive
1054
1055cscopelist-am: $(am__tagged_files)
1056        list='$(am__tagged_files)'; \
1057        case "$(srcdir)" in \
1058          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1059          *) sdir=$(subdir)/$(srcdir) ;; \
1060        esac; \
1061        for i in $$list; do \
1062          if test -f "$$i"; then \
1063            echo "$(subdir)/$$i"; \
1064          else \
1065            echo "$$sdir/$$i"; \
1066          fi; \
1067        done >> $(top_builddir)/cscope.files
1068
1069distclean-tags:
1070        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1071
1072# Recover from deleted '.trs' file; this should ensure that
1073# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1074# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
1075# to avoid problems with "make -n".
1076.log.trs:
1077        rm -f $< $@
1078        $(MAKE) $(AM_MAKEFLAGS) $<
1079
1080# Leading 'am--fnord' is there to ensure the list of targets does not
1081# expand to empty, as could happen e.g. with make check TESTS=''.
1082am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1083am--force-recheck:
1084        @:
1085
1086$(TEST_SUITE_LOG): $(TEST_LOGS)
1087        @$(am__set_TESTS_bases); \
1088        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1089        redo_bases=`for i in $$bases; do \
1090                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1091                    done`; \
1092        if test -n "$$redo_bases"; then \
1093          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1094          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1095          if $(am__make_dryrun); then :; else \
1096            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1097          fi; \
1098        fi; \
1099        if test -n "$$am__remaking_logs"; then \
1100          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1101               "recursion detected" >&2; \
1102        elif test -n "$$redo_logs"; then \
1103          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1104        fi; \
1105        if $(am__make_dryrun); then :; else \
1106          st=0;  \
1107          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1108          for i in $$redo_bases; do \
1109            test -f $$i.trs && test -r $$i.trs \
1110              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1111            test -f $$i.log && test -r $$i.log \
1112              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1113          done; \
1114          test $$st -eq 0 || exit 1; \
1115        fi
1116        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1117        ws='[   ]'; \
1118        results=`for b in $$bases; do echo $$b.trs; done`; \
1119        test -n "$$results" || results=/dev/null; \
1120        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1121        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1122        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1123        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1124        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1125        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1126        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1127        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1128          success=true; \
1129        else \
1130          success=false; \
1131        fi; \
1132        br='==================='; br=$$br$$br$$br$$br; \
1133        result_count () \
1134        { \
1135            if test x"$$1" = x"--maybe-color"; then \
1136              maybe_colorize=yes; \
1137            elif test x"$$1" = x"--no-color"; then \
1138              maybe_colorize=no; \
1139            else \
1140              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1141            fi; \
1142            shift; \
1143            desc=$$1 count=$$2; \
1144            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1145              color_start=$$3 color_end=$$std; \
1146            else \
1147              color_start= color_end=; \
1148            fi; \
1149            echo "$${color_start}# $$desc $$count$${color_end}"; \
1150        }; \
1151        create_testsuite_report () \
1152        { \
1153          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1154          result_count $$1 "PASS: " $$pass  "$$grn"; \
1155          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1156          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1157          result_count $$1 "FAIL: " $$fail  "$$red"; \
1158          result_count $$1 "XPASS:" $$xpass "$$red"; \
1159          result_count $$1 "ERROR:" $$error "$$mgn"; \
1160        }; \
1161        {                                                               \
1162          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1163            $(am__rst_title);                                           \
1164          create_testsuite_report --no-color;                           \
1165          echo;                                                         \
1166          echo ".. contents:: :depth: 2";                               \
1167          echo;                                                         \
1168          for b in $$bases; do echo $$b; done                           \
1169            | $(am__create_global_log);                                 \
1170        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1171        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1172        if $$success; then                                              \
1173          col="$$grn";                                                  \
1174         else                                                           \
1175          col="$$red";                                                  \
1176          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1177        fi;                                                             \
1178        echo "$${col}$$br$${std}";                                      \
1179        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1180        echo "$${col}$$br$${std}";                                      \
1181        create_testsuite_report --maybe-color;                          \
1182        echo "$$col$$br$$std";                                          \
1183        if $$success; then :; else                                      \
1184          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1185          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1186            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1187          fi;                                                           \
1188          echo "$$col$$br$$std";                                        \
1189        fi;                                                             \
1190        $$success || exit 1
1191
1192check-TESTS:
1193        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1194        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1195        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1196        @set +e; $(am__set_TESTS_bases); \
1197        log_list=`for i in $$bases; do echo $$i.log; done`; \
1198        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1199        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1200        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1201        exit $$?;
1202recheck: all $(check_PROGRAMS)
1203        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1204        @set +e; $(am__set_TESTS_bases); \
1205        bases=`for i in $$bases; do echo $$i; done \
1206                 | $(am__list_recheck_tests)` || exit 1; \
1207        log_list=`for i in $$bases; do echo $$i.log; done`; \
1208        log_list=`echo $$log_list`; \
1209        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1210                am__force_recheck=am--force-recheck \
1211                TEST_LOGS="$$log_list"; \
1212        exit $$?
1213.test.log:
1214        @p='$<'; \
1215        $(am__set_b); \
1216        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1217        --log-file $$b.log --trs-file $$b.trs \
1218        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1219        "$$tst" $(AM_TESTS_FD_REDIRECT)
1220@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1221@am__EXEEXT_TRUE@       @p='$<'; \
1222@am__EXEEXT_TRUE@       $(am__set_b); \
1223@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1224@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1225@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1226@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1227
1228distdir: $(DISTFILES)
1229        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1230        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1231        list='$(DISTFILES)'; \
1232          dist_files=`for file in $$list; do echo $$file; done | \
1233          sed -e "s|^$$srcdirstrip/||;t" \
1234              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1235        case $$dist_files in \
1236          */*) $(MKDIR_P) `echo "$$dist_files" | \
1237                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1238                           sort -u` ;; \
1239        esac; \
1240        for file in $$dist_files; do \
1241          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1242          if test -d $$d/$$file; then \
1243            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1244            if test -d "$(distdir)/$$file"; then \
1245              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1246            fi; \
1247            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1248              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1249              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1250            fi; \
1251            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1252          else \
1253            test -f "$(distdir)/$$file" \
1254            || cp -p $$d/$$file "$(distdir)/$$file" \
1255            || exit 1; \
1256          fi; \
1257        done
1258        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1259          if test "$$subdir" = .; then :; else \
1260            $(am__make_dryrun) \
1261              || test -d "$(distdir)/$$subdir" \
1262              || $(MKDIR_P) "$(distdir)/$$subdir" \
1263              || exit 1; \
1264            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1265            $(am__relativize); \
1266            new_distdir=$$reldir; \
1267            dir1=$$subdir; dir2="$(top_distdir)"; \
1268            $(am__relativize); \
1269            new_top_distdir=$$reldir; \
1270            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1271            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1272            ($(am__cd) $$subdir && \
1273              $(MAKE) $(AM_MAKEFLAGS) \
1274                top_distdir="$$new_top_distdir" \
1275                distdir="$$new_distdir" \
1276                am__remove_distdir=: \
1277                am__skip_length_check=: \
1278                am__skip_mode_fix=: \
1279                distdir) \
1280              || exit 1; \
1281          fi; \
1282        done
1283check-am: all-am
1284        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1285        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1286check: check-recursive
1287all-am: Makefile $(PROGRAMS) $(MANS)
1288installdirs: installdirs-recursive
1289installdirs-am:
1290        for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"; do \
1291          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1292        done
1293install: install-recursive
1294install-exec: install-exec-recursive
1295install-data: install-data-recursive
1296uninstall: uninstall-recursive
1297
1298install-am: all-am
1299        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1300
1301installcheck: installcheck-recursive
1302install-strip:
1303        if test -z '$(STRIP)'; then \
1304          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1305            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1306              install; \
1307        else \
1308          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1309            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1310            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1311        fi
1312mostlyclean-generic:
1313        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1314        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1315        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1316
1317clean-generic:
1318        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1319
1320distclean-generic:
1321        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1322        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1323        -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
1324
1325maintainer-clean-generic:
1326        @echo "This command is intended for maintainers to use"
1327        @echo "it deletes files that may require special tools to rebuild."
1328clean: clean-recursive
1329
1330clean-am: clean-binPROGRAMS clean-checkPROGRAMS clean-generic \
1331        clean-libtool mostlyclean-am
1332
1333distclean: distclean-recursive
1334        -rm -rf ./$(DEPDIR)
1335        -rm -f Makefile
1336distclean-am: clean-am distclean-compile distclean-generic \
1337        distclean-tags
1338
1339dvi: dvi-recursive
1340
1341dvi-am:
1342
1343html: html-recursive
1344
1345html-am:
1346
1347info: info-recursive
1348
1349info-am:
1350
1351install-data-am: install-man
1352
1353install-dvi: install-dvi-recursive
1354
1355install-dvi-am:
1356
1357install-exec-am: install-binPROGRAMS
1358
1359install-html: install-html-recursive
1360
1361install-html-am:
1362
1363install-info: install-info-recursive
1364
1365install-info-am:
1366
1367install-man: install-man1
1368
1369install-pdf: install-pdf-recursive
1370
1371install-pdf-am:
1372
1373install-ps: install-ps-recursive
1374
1375install-ps-am:
1376
1377installcheck-am:
1378
1379maintainer-clean: maintainer-clean-recursive
1380        -rm -rf ./$(DEPDIR)
1381        -rm -f Makefile
1382maintainer-clean-am: distclean-am maintainer-clean-generic
1383
1384mostlyclean: mostlyclean-recursive
1385
1386mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1387        mostlyclean-libtool
1388
1389pdf: pdf-recursive
1390
1391pdf-am:
1392
1393ps: ps-recursive
1394
1395ps-am:
1396
1397uninstall-am: uninstall-binPROGRAMS uninstall-man
1398
1399uninstall-man: uninstall-man1
1400
1401.MAKE: $(am__recursive_targets) check-am install-am install-strip
1402
1403.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
1404        check-TESTS check-am clean clean-binPROGRAMS \
1405        clean-checkPROGRAMS clean-generic clean-libtool cscopelist-am \
1406        ctags ctags-am distclean distclean-compile distclean-generic \
1407        distclean-libtool distclean-tags distdir dvi dvi-am html \
1408        html-am info info-am install install-am install-binPROGRAMS \
1409        install-data install-data-am install-dvi install-dvi-am \
1410        install-exec install-exec-am install-html install-html-am \
1411        install-info install-info-am install-man install-man1 \
1412        install-pdf install-pdf-am install-ps install-ps-am \
1413        install-strip installcheck installcheck-am installdirs \
1414        installdirs-am maintainer-clean maintainer-clean-generic \
1415        mostlyclean mostlyclean-compile mostlyclean-generic \
1416        mostlyclean-libtool pdf pdf-am ps ps-am recheck tags tags-am \
1417        uninstall uninstall-am uninstall-binPROGRAMS uninstall-man \
1418        uninstall-man1
1419
1420.PRECIOUS: Makefile
1421
1422
1423$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1424
1425test_tools.cc: $(top_srcdir)/test-suite/test_tools.cc
1426        cp $(top_srcdir)/test-suite/test_tools.cc .
1427
1428stub_debug.cc: $(top_srcdir)/src/tests/stub_debug.cc
1429        cp $(top_srcdir)/src/tests/stub_debug.cc .
1430
1431time.cc: $(top_srcdir)/src/time.cc
1432        cp $(top_srcdir)/src/time.cc .
1433
1434# Tell versions [3.59,3.63) of GNU make to not export all variables.
1435# Otherwise a system limit (for SysV at least) may be exceeded.
1436.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.